<mamecheat version="1">

  <cheat desc="Infinite Play Time">
    <script state="run">
      <action>mtbios.pw@004036=1770</action>
      <action>mtbios.pb@004056=01</action> <!-- 1st = Time, 2nd = Credit -->
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pd@FFE68E=003B003B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@FFE71D=3C</action>
    </script>
  </cheat>

  <cheat desc="Infinite Web">
    <script state="run">
      <action>maincpu.pb@FFE707=96</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@03F50E</action>
    </script>
    <script state="run">
      <action>maincpu.pb@FFE721=02</action>
      <action>maincpu.mw@03F50E=6010</action> <!-- Part 1 Flicker RAM location, Part 2 stop flicker -->
    </script>
    <script state="off">
      <action>maincpu.mw@03F50E=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
